Modifier Sets
Modifier Sets object
This operation returns a list of modifier sets.
Note: This operation needs Authentication and supports the following JSON:API features:
Sparse fieldsets - supports all fields of
modifier_setwithfieldsquery parameter.
Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>
The number of resources to return in a single response.
Unique identifier.
^[a-zA-Z0-9-]+$Unique identifier.
^[a-zA-Z0-9-]+$Successful response with modifier sets data in JSON:API format.
Bad request.
Unauthorized.
Too many requests.
Internal Server Error.
Service is unavailable.
GET /pos/v1/modifier-sets HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
"type": "modifierSets",
"attributes": {
"name": "Modifier Set 1",
"selection": "single",
"minimumCount": 1,
"maximumCount": 1,
"createdAt": "2024-11-13T11:29:00Z",
"updatedAt": "2024-11-15T11:29:00Z"
},
"relationships": {
"modifiers": {
"data": [
{
"id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
"type": "modifiers"
}
]
}
}
}
],
"links": {
"prev": "https://api.mews-demo.com/pos/v1/modifier-sets?page%5Bbefore%5D=NA&page%5Bsize%5D=1",
"next": "https://api.mews-demo.com/pos/v1/modifier-sets?page%5Bafter%5D=NA&page%5Bsize%5D=1"
}
}This operation returns a modifier set. Modifier sets are used to group modifiers together.
Note: This operation needs Authentication and supports the following JSON:API features:
Relationships -
modifiersusingincludequery parameter.Sparse fieldsets - supports all fields of
modifier_setwithfieldsquery parameter.
Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>
Universally unique ID UUID4.
7d7fc62f-ebc1-427c-a496-ab46a011c851Include query parameter to allow the client to customize which related resource should be returned.
Successful response with modifier set data in JSON:API format.
Bad request.
Unauthorized.
Too many requests.
Internal Server Error.
Service is unavailable.
GET /pos/v1/modifier-sets/{id} HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": "7d7fc62f-ebc1-427c-a496-ab46a011c851",
"type": "modifierSets",
"attributes": {
"name": "Modifier Set 1",
"selection": "single",
"minimumCount": 1,
"maximumCount": 1,
"createdAt": "2024-11-13T11:29:00Z",
"updatedAt": "2024-11-15T11:29:00Z",
"relationships": {
"modifiers": {
"data": [
{
"id": "7dd12ca7-e2b1-4dd0-9b25-de3121e6c84f",
"type": "modifiers"
}
]
}
}
},
"links": {
"self": "https://api.mews-demo.com/pos/v1/modifier-sets/7d7fc62f-ebc1-427c-a496-ab46a011c851"
}
}
}Last updated
Was this helpful?